## GESImageSource GESImageSource — outputs the video stream from a media file as a still image. |

## Properties

gchar * | uri | Read / Write / Construct Only

## Types and Values

| GESImageSource

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GESTimelineElement
                ╰── GESTrackElement
                    ╰── GESSource
                        ╰── GESVideoSource
                            ╰── GESImageSource

## Implemented Interfaces

GESImageSource implements GESExtractable and GESMetaContainer.

## Includes

    #include <ges/ges.h>

## Description

Outputs the video stream from a given file as a still frame. The frame chosen will be determined by the in-point property on the track element. For image files, do not set the in-point property.

## Functions

## Types and Values

### GESImageSource

    typedef struct _GESImageSource GESImageSource;

## Property Details

### The `“uri”` property

      “uri”                      gchar *

The location of the file/resource to use.

Flags: Read / Write / Construct Only

Default value: NULL